
#########################################################
#														#
#				regular controls						#
#														#
#########################################################

SetCommandContext	Default

bind		Keyboard		WIN_UP_ARROW 					VK_UP				DOWN
bind		Keyboard		WIN_DOWN_ARROW 					VK_DOWN				DOWN
bind		Keyboard		WIN_RIGHT_ARROW 				VK_RIGHT			DOWN
bind		Keyboard		WIN_LEFT_ARROW 					VK_LEFT				DOWN
bind		Keyboard		RUN 							VK_SHIFT			DOWN
bind		Keyboard		CMD_CONTEXTUAL_ACTION			VK_RETURN			CLICK
bind		Keyboard		CHANGE_WEAPON 					VK_CONTROL			CLICK
bind		Keyboard		DRINK_WATER						VK_BACK				CLICK
bind		Keyboard		OBJECTIVES_SHOW					VK_F1				DOWN
bind		Keyboard		ESC								VK_ESCAPE			CLICK 
bind 		Keyboard		ROLL							VK_RETURN			CLICK 
bind		Keyboard		START							VK_RETURN			CLICK
bind		Keyboard		MENU_PREVIOUS 					VK_UP				CLICK 
bind		Keyboard		MENU_NEXT			 			VK_DOWN				CLICK 
bind		Keyboard		MENU_CHOOSE		 				VK_RETURN			CLICK 
bind		Keyboard		MENU_UP	 						VK_ESCAPE			CLICK 
bind		Keyboard		MENU_NEXT_VALUE	 				VK_RIGHT			CLICK 
bind		Keyboard		MENU_PREVIOUS_VALUE	 			VK_LEFT				CLICK 
bind		Keyboard		MENU_DUSAVE_NEXT		 		VK_LEFT				CLICK 
bind		Keyboard		MENU_DUSAVE_PREVIOUS 			VK_RIGHT			CLICK 
bind		Keyboard		BACK							VK_ESCAPE			CLICK
bind		Keyboard		DELETE							VK_BACK				CLICK

bind		Mouse			KRYS_STRIKE						VK_LBUTTON			CLICK
bind		Mouse			CMD_ACTION						VK_LBUTTON			CLICK
bind		Mouse			LOCK 							VK_RBUTTON			DOWN
bind		Mouse			UNLOCK							VK_RBUTTON			UP



###########################
# DialogCommandContext #
###########################
SetCommandContext	Dialog
bind		Keyboard		DIALOG_INTERRUPTED				VK_RETURN			CLICK

###########################
# GomJabbarCommandContext #
###########################
SetCommandContext	GomJabbarCommandContext 
bind		Mouse			CMD_ACTION						VK_LBUTTON			CLICK

###########################
# INVENTAIRE INTRA GAME   #
###########################
SetCommandContext	IntraGameInventoryCommandContext   
 
bind		Keyboard		INVENTORY_SELECT				VK_RETURN			CLICK  
bind		Keyboard		INVENTORY_QUIT					VK_ESCAPE			CLICK  
bind		Keyboard		INVENTORY_LEFT					VK_LEFT				CLICK  
bind		Keyboard		INVENTORY_RIGHT					VK_RIGHT			CLICK  
 
################
# CODE PANEL   #
################
SetCommandContext	CodePanelCommandContext   
 
bind		Keyboard		CODE_PANEL_LEFT					VK_LEFT				CLICK 
bind		Keyboard		CODE_PANEL_RIGHT				VK_RIGHT			CLICK 
bind		Keyboard		CODE_PANEL_UP					VK_UP				CLICK 
bind		Keyboard		CODE_PANEL_DOWN					VK_DOWN				CLICK 
bind		Keyboard		CODE_PANEL_OK					VK_RETURN			CLICK 
bind		Keyboard		CODE_PANEL_CANCEL				VK_ESCAPE			CLICK 

 
# We set the current active command context 
SetCommandContext	Default 

